Subject: RE: Newbie questions
From: " Clark Sims " <[email-masked]>
To: "' Clark Sims '" <[email-masked]>, "[email-masked]'" <[email-masked]>, "John Wiersba" <[email-masked]>
Date: Wed, 25 Aug 1999 05:01:50 -0700

--

On Tue, 24 Aug 1999 11:07:09   John Wiersba wrote:
>> 1) is there a way to make a case insensitive file mask?
>> For example, my c source files appear as a mixture of
>> .c and .C suffixes. ls *.c returns a different set of
>> files than ls *.C
>
>shopt -s nocaseglob or shopt -u nocaseglob depending on which setting you
>want
>

This works great!

>see bash man page and search for "insensitive"
>

man bash produces:
bash: man: command not found

How do I "see the bash man page"?

>> 2) How does bash search for commands? I am used to DOS/
>> Windozs programming, where the dos command prompt
>> searches the path. When I am running bash however,
>> I must type in the full path of any executable that
>> I want to run. Is there some way of avoiding having
>> to type in the full path?
>
>export PATH=DIR1/DIR2:DIR3:.
>
>note that . must be specified explicitly
>

echo $PATH produces:

/cygnus/CYGWIN~1/H-I586~1/bin:/cygnus/CYGWIN~1/H-I586~1/bin:d:/fsf/emacs-19.34/bin:d:/fsf/bin:/WINNT/system32:/WINNT:d:/CCLIB/libnt:d:/WATCOM/BINNT:d:/WATCOM/BINW:d:/util:.:d:/PROGRA~1/ULTRAEDT

d:/fsf/emacs-19.34/bin contains emacs.exe
but I can't run emacs unless I specify the full path

d:/fsf/bin contains man.exe but I can't run man.
Is the cygwin install supposed to contain man.exe?

>> 3) I would like to use cp to keep source files in
>> aggrement on sepparate machines. I have tried the
>> following command:
>> cp -v -u -r d:/cclib g:
>> where d: is a drive on my laptop, and g: is a drive
>> on my desktop. The problem is that the timestamps on
>> all the copied files are set to the current system 
>> files. I would like the timestamps to be the same
>> on all the copied files. This way when I copy back
>> from g:
>> cp -v -u -r g:/cclib d:
>> I get only the files that I have worked on during
>> the day. They way things stand, all of the files
>> I copied in the morning are copied back a second 
>> time. Is there a way to make the timestamps match?
>
>you almost had it (just read a little more in the cp man page): use -p
>

cp -v -u -r -p g:/cclib d:

This works great. Thanks

--== Sent via Deja.com http://www.deja.com/ ==--
Share what you know. Learn what you don't.

--
Want to unsubscribe from this list?
Send a message to [email-masked]